Module ij
Package ij.plugin

# Class ChannelSplitter

java.lang.Object
ij.plugin.ChannelSplitter

All Implemented Interfaces:
  `PlugIn`

public class ChannelSplitter extends Object implements PlugIn
This plugin implements the Image/Color/Split Channels command.

## Constructor Summary

Constructors
Constructor
Description
`ChannelSplitter()`

## Method Summary

Modifier and Type
Method
Description
`static ImageStack`
`getChannel(ImagePlus imp, int c)`
Returns, as an ImageStack, the specified channel, where 'c' must be greater than zero and less than or equal to the number of channels in the image.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`static ImagePlus[]`
`split(ImagePlus imp)`
Splits the specified image into separate channels.
`static ImageStack[]`
`splitRGB(ImageStack rgb, boolean keepSource)`
Splits the specified RGB stack into three 8-bit grayscale stacks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChannelSplitter

public ChannelSplitter()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### split

public static ImagePlus[] split(ImagePlus imp)
Splits the specified image into separate channels.

### getChannel

public static ImageStack getChannel(ImagePlus imp, int c)
Returns, as an ImageStack, the specified channel, where 'c' must be greater than zero and less than or equal to the number of channels in the image.

### splitRGB

public static ImageStack[] splitRGB(ImageStack rgb, boolean keepSource)
Splits the specified RGB stack into three 8-bit grayscale stacks. Deletes the source stack if keepSource is false.